#ifndef TSS_FAPI_H
#define TSS_FAPI_H

#include <stdlib.h>
#include <stdio.h>

#include "Fapi_Types.h"
#include "TPM_Types.h"

typedef struct {
	size_t size;
	uint8_t *buffer;
} TSS2_SizedBuffer;


typedef struct {
	uint8_t *TemplatePath;
	uint8_t *PolicyPath;
	TSS2_SizedBuffer authvalue;
} TSS2_ObjectParameter;


typedef struct {
	uint8_t *PolicyPath;
	TSS2_SizedBuffer authvalue;
}TSS2_AuthParameter;


typedef struct {
	uint8_t *keyPath ;
	TPM2B_PRIVATE  *tprivate;
	TPM2B_PUBLIC   *tpublic;
	TPM2B          *name;
	uint8_t        *policyInstance;
	TSS2_SizedBuffer certificate;
	TSS2_SizedBuffer description;
} Key;


//extern UINT32 Tss2_Random_Get(int numBytes, TSS2_SizedBuffer *data);

//extern UINT32 Tss2_Random_Stir(TSS2_SizedBuffer *data);

#endif
